Subject: Bug#1533: Mac client: connection timeout 30 seconds after session start

From: Ricky Charlet <[email-masked]>
Date: Fri, 19 Mar 2021 09:47:04 -0700

Package: unknown
Version: 4.1.2.2

Howdy,

	When I connect from Mac client to ubuntu server, I get a “connection timeout” 30 seconds after “connection start.”  Other people can connect to my server.

Error message is:
Loop: WARNING! Overriding auxiliary X11 port with new value '1'.
Warning: Overriding auxiliary X11 port with new value '1'.
Info: Connecting to remote host 'localhost:36652'.
Info: Connected to remote proxy on FD#11.
Info: Connection with remote proxy completed.
Loop: WARNING! Unrecognized session type 'unix-kde-depth_32'. Assuming agent session.
Warning: Unrecognized session type 'unix-kde-depth_32'. Assuming agent session.
Info: Using ADSL link parameters 1408/24/1/0.
Info: Using cache parameters 4/4096KB/8192KB/8192KB.
Info: Using pack method '16m-jpeg-9' with session 'unix-kde-depth_32'.
Info: Using ZLIB data compression 1/1/32.
Info: Using ZLIB stream compression 4/4.
Info: No suitable cache file found.
Info: Forwarding X11 connections to display '/private/tmp/com.apple.launchd.E12k8P0IX6/org.xquartz:0'.
Info: Forwarding auxiliary X11 connections to display '/private/tmp/com.apple.launchd.E12k8P0IX6/org.xquartz:0'.
Session: Session started at 'Fri Mar 19 09:38:16 2021'.
Connection timeout, abortingSession: Terminating session at 'Fri Mar 19 09:38:46 2021'.
Info: Waiting the cleanup timeout to complete.
Session: Session terminated at 'Fri Mar 19 09:38:47 2021'.

On the server, in /var/log/messages, I get what appears to be a success report:
Mar 19 09:38:16 hpnsw4371 /usr/bin/x2gostartagent: successfully started X2Go Agent session with ID charletr-50-1616171893_stDMATE_dp32

I have a tcpdump (is in an ssh tunnel, to a little vague) which shows client sending dup packet not quite, but almost 30 seconds into session attempt.
116	33.763841	15.116.49.166	16.99.147.244	SSHv2	108	Server: [TCP Spurious Retransmission] , Encrypted packet (len=64)
117	33.763941	16.99.147.244	15.116.49.166	TCP	56	[TCP Dup ACK 114#1] 64138 → 22 [ACK] Seq=3239 Ack=5027 Win=262144 Len=0 SLE=4963 SRE=5027

Client = MacOS 10.15.7 (Catalina…and due to corp policy, I cannot upgrade); x2go 4.1.2.2 with qt 4.8.7 with xquartz 2.7.11 with xorg 1.18.4

Server : x2goversion
: 1.0.2.4
: 0.0.1.6
: 4.1.0.3
: 4.1.0.3
: 4.1.0.3
: 4.1.0.3
: 4.1.0.3
: 3.5.99.22
: 4.1.0.3